<!DOCTYPE html>
<html lang="en" th:replace="common/masterpage :: masterpage(~{}, ~{::page}, ~{})" xmlns:th="http://www.thymeleaf.org" xmlns:sec="http://www.thymeleaf.org/extras/spring-security">
<head>
<title th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).PROPERTY_PROJECT_NAME}}"></title>
</head>
<body>
  <div class="ui main container" th:fragment="page" sec:authorize="hasAuthority(T(pt.com.scrumify.helpers.ConstantsHelper).ROLE_RESOURCES_READ)">
    <h2 class="ui header">
      <i th:class="${T(pt.com.scrumify.helpers.ConstantsHelper).ICON_RESOURCES}" th:classappend="${T(pt.com.scrumify.helpers.ConstantsHelper).DEFAULT_ENVIRONMENT_COLOR}"></i>
      <span class="content" th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_RESOURCES}}"></span>
    </h2>
    <br />
    <div th:if="${not #lists.isEmpty(resources)}">
      <table class="ui table" id="resources" th:classappend="${T(pt.com.scrumify.helpers.ConstantsHelper).DEFAULT_ENVIRONMENT_COLOR}">
        <thead>
          <tr>
            <th th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_NAME}}"></th>
            <th th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_PROFILE}}"></th>
            <th class="center aligned" th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_STARTINGDATE}}"></th>
            <th class="center aligned" th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_ENDINGDATE}}"></th>
            <th class="center aligned" th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_APPROVED}}"></th>
            <th class="center aligned" th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_ACTIVE}}"></th>
          </tr>
        </thead>
        <tbody>
          <tr th:each="resource : ${resources}">
            <td><a th:href="@{${T(pt.com.scrumify.helpers.ConstantsHelper).MAPPING_RESOURCES_UPDATE} + '/' + ${resource.id}}" sec:authorize="hasAuthority(T(pt.com.scrumify.helpers.ConstantsHelper).ROLE_RESOURCES_UPDATE)" th:text="${resource.name}"></a> <span sec:authorize="not hasAuthority(T(pt.com.scrumify.helpers.ConstantsHelper).ROLE_RESOURCES_UPDATE)" th:text="${resource.name}"></span></td>
            <td th:text="${resource.profile.name}"></td>
            <td class="center aligned"><th:block th:if="${resource.startingDay != null}" th:text="${#dates.format(resource.startingDay, T(pt.com.scrumify.helpers.ConstantsHelper).DEFAULT_FORMAT_DATE)}"></th:block></td>
            <td class="center aligned"><th:block th:if="${resource.endingDay != null}" th:text="${#dates.format(resource.endingDay, T(pt.com.scrumify.helpers.ConstantsHelper).DEFAULT_FORMAT_DATE)}"></th:block></td>
            <td class="center aligned"><i th:class="${T(pt.com.scrumify.helpers.ConstantsHelper).ICON_CHECKED}" th:classappend="${T(pt.com.scrumify.helpers.ConstantsHelper).DEFAULT_ENVIRONMENT_COLOR}" th:if="${resource.approved}"></i> <i th:class="${T(pt.com.scrumify.helpers.ConstantsHelper).ICON_UNCHECKED}" th:classappend="${T(pt.com.scrumify.helpers.ConstantsHelper).DEFAULT_ENVIRONMENT_COLOR}" th:if="${not resource.approved}"></i></td>
            <td class="center aligned"><i th:class="${T(pt.com.scrumify.helpers.ConstantsHelper).ICON_CHECKED}" th:classappend="${T(pt.com.scrumify.helpers.ConstantsHelper).DEFAULT_ENVIRONMENT_COLOR}" th:if="${resource.active}"></i> <i th:class="${T(pt.com.scrumify.helpers.ConstantsHelper).ICON_UNCHECKED}" th:classappend="${T(pt.com.scrumify.helpers.ConstantsHelper).DEFAULT_ENVIRONMENT_COLOR}" th:if="${not resource.active}"></i></td>
          </tr>
        </tbody>
      </table>
    </div>
    <br />
    <th:block sec:authorize="hasAuthority(T(pt.com.scrumify.helpers.ConstantsHelper).ROLE_RESOURCES_CREATE)" th:replace="common/fragments/form :: actionbuttons(icon1 = null,
		                                                           icon1text = null,
		                                                           icon1url = null,
		                                                           icon2 = ${T(pt.com.scrumify.helpers.ConstantsHelper).ICON_NEW},
		                                                           icon2text = ${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_NEW},
		                                                           icon2url = ${T(pt.com.scrumify.helpers.ConstantsHelper).MAPPING_RESOURCES_CREATE},
		                                                           )" />
  </div>
</body>
</html>